Bug 831173 - vnc tab flickers in vinagre when in fallback mode (with gtk3 > 3.3.4-1.fc17)
vnc tab flickers in vinagre when in fallback mode (with gtk3 > 3.3.4-1.fc17)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 07:59 EDT by Fabrice Bellet
Modified: 2013-08-01 00:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:04:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2012-06-12 07:59:26 EDT
The vnc tab is flickering when moving the mouse inside the vnc window, or just when resizing the vinagre window. This occurs when in fallback mode only. This is very specific to the vinagre application, because the underlying VNC widget from gtk-vnc2 works fine. I tested the vncviewer from gtk-vnc2 examples (not built by default).

The problem appeared somewhere after version 3.3.4-1.fc17. I tried to git bisect the case and the related commits seem to be  7bd2446801ffd0fc2ac5cc98fcd675ac4f3935d6 and c24742e7890caba218ff19d3acce4c1c8ffc1f0d. However, reverting these commits in the current version doesn't work. 

Then I removed the call to gtk_widget_override_background_color() in vinagre_tab_add_view() in vinagre-tab.c. The flickering problem was still there, and git bisect showed another more recent commit : 4dd9a73c8ae5254361e746a3013e952e0f72d6a3. And reverting this commit in the current version still doesn't work for me.
Comment 1 vaxon 2012-08-21 17:24:20 EDT
Same here. It also flickers when text is scrolled in remote xterm window for example.

This happens when compositing is disabled (gnome fallback mode or any other windows manager).

Thanks,
Val.
Comment 2 Fedora End Of Life 2013-07-03 20:24:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 00:04:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.